{
  description = "nixos config";

  outputs = _: { };

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    nixpkgs-stable.url = "github:NixOS/nixpkgs/22c5c52ca2d2cc1692bb74c873965cc1d9fa31d3";

    helix.url = "github:helix-editor/helix";

    nix-index-database.url = "github:Mic92/nix-index-database";

    nix-rice.url = "github:bertof/nix-rice";

    meat.url = "git+https://git.atagen.co/atagen/meat";

    culr.url = "git+https://git.atagen.co/atagen/culr";

    niri.url = "github:sodiboo/niri-flake";

    hjem = {
      url = "github:feel-co/hjem";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    hjem-rum = {
      url = "github:snugnug/hjem-rum";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    hudcore.url = "git+https://git.atagen.co/atagen/hudcore-plymouth.git";

    nyx.url = "github:chaotic-cx/nyx/nyxpkgs-unstable";

    # smooooth.url = "path:/home/bolt/code/smooooth";

    niri-tag.url = "git+https://git.atagen.co/atagen/niri-tag";

    angrr.url = "github:linyinfeng/angrr";

    arbys.url = "git+https://git.atagen.co/atagen/arbys";

    zedless.url = "github:zedless-editor/zed";

    __flake-compat = {
      url = "git+https://git.lix.systems/lix-project/flake-compat.git";
      flake = false;
    };
  };

}
